The integrated workbench for CICS with rich views, data and actions

CICS Explorer downloads

IBM® CICS® Explorer provides a common, intuitive, Eclipse-based rich client platform (RCP) for architects, developers, programmers, and administrators (all IT roles who work with CICS).

CICS Explorer integrates the visibility and control of the CICS runtime and its resource definitions within a single, consistent user interface. A wide range of IBM CICS and Problem Determination tools can be installed into the CICS Explorer from the IBM web-based repository.

This helps both novice and experienced CICS users get more from CICS, and accelerates the transfer of knowledge, skills and best practice to the next generation

The CICS Explorer plug-in can also be installed in other RCPs including IBM Problem Determination Tools Studio, IMS Enterprise Suite Explorer for Development, IBM Data Studio, and Rational Developer for System z, giving their users a consistent experience, regardless of platform.

CICS Explorer features include:

Other CICS Explorer features include:

CICS features

Workbench features

Editor features

Other features

Featured resources

IBM Software
See what smarter software can do for you.

CICS Explorer

The integrated workbench for CICS with rich views, data and actions

Contact IBM

CICS Explorer V5.1.1

The links below identify the supported components of CICS Explorer from which you can select system requirements in different levels and organization of detail.

The detailed system requirements information are the complete lists of hardware requirements, supported operating systems, prerequisites and optional supported software, with component-level details and operating system restrictions.

CICS Explorer V5.1

The links below identify the supported components of CICS Explorer from which you can select system requirements in different levels and organization of detail.

The detailed system requirements information are the complete lists of hardware requirements, supported operating systems, prerequisites and optional supported software, with component-level details and operating system restrictions.

CICS Explorer V1.1.1
Operating System Software Hardware
Linux/Windows

Note: Service Packs are not listed unless they are known to resolve a specific problem.

If you are installing the CICS Explorer SDK, the following versions of software are required:

CPU – Intel Pentium 4 or equivalent
RAM – 768MB in addition to Operating System requirements
Hard disk – 500MB available space
z/OS CICS Transaction Server for z/OS Version 4 Release 2.
The following prerequisite PTFs must be installed on the following versions of CICS®: CICS Transaction Server for z/OS® Version 4 release 1.
CICS Transaction Server for z/OS Version 3 release 2:
CICS Transaction Server for z/OS Version 3 release 1:
CICS Explorer runs on any hardware configuration supported by the licensed programs specified below.CICS Explorer runs on any hardware configuration supported by the specified licensed programs.

For CICS TS V4.2, the minimum specification of zSeries server required to run z/OS Version 1 Release 11 operating system
CICS Explorer V1.1
Operating System Software Hardware
Linux/Windows

Note: Service Packs are not listed unless they are known to resolve a specific problem.

If you are installing the CICS Explorer SDK, the following versions of software are required:

CPU – Intel Pentium 4 or equivalent
RAM – 768MB in addition to Operating System requirements
Hard disk – 500MB available space
z/OS CICS Transaction Server for z/OS Version 4 Release 2.
The following prerequisite PTFs must be installed on the following versions of CICS®: CICS Transaction Server for z/OS® Version 4 release 1.
CICS Transaction Server for z/OS Version 3 release 2:
CICS Transaction Server for z/OS Version 3 release 1:
CICS Explorer runs on any hardware configuration supported by the licensed programs specified below.CICS Explorer runs on any hardware configuration supported by the specified licensed programs.

For CICS TS V4.2, the minimum specification of zSeries server required to run z/OS Version 1 Release 11 operating system
CICS Explorer V1.0
Operating System Software Hardware
Linux/WIndows
If you are installing the CICS Explorer SDK, the following versions of software are required:
CPU - Intel Pentium 4 or equivalent.
RAM - 768 MB in addition to the operating system requirements.
Hard disk - 500 MB available space.
z/OS The following prerequisite PTFs must be installed on the following versions of CICS®: CICS Transaction Server for z/OS® Version 4 release 1
CICS Transaction Server for z/OS Version 3 release 2
CICS Transaction Server for z/OS Version 3 release 1:
CICS Explorer runs on any hardware configuration supported by the licensed programs specified below.CICS Explorer runs on any hardware configuration supported by the specified licensed programs.

New or enhanced in CICS Explorer V5.1.1

CICS Explorer V5.1.1 is updated to include:

z/OS Explorer, previously an integral part of CICS Explorer, is now available as a separate component. It delivers unified, extensible, workstation connectivity to key IBM z/OS functionality by providing simple and secure access to z/OS datasets, zFS files, and JES jobs, and output from within an Eclipse-based Rich Client Platform (RCP). For more details on the z/OS Explorer, refer to Software Announcement 213-141, dated April 23, 2013.

CICS Explorer is preloaded with the address of a new common repository of compatible IBM plug-ins for Eclipse. The repository includes plug-ins for z/OS Explorer, CICS Explorer, CICS Tools, Problem Determination Tools, plus products from IBM’s Rational and Information Management brands.

The repository also contains updated plug-ins for the following products in the CICS Tools family. The plug-ins deliver some updated capabilities, support the latest CICS Explorer and Eclipse levels, and provide plug-ins in both IBM Installation Manager and Eclipse P2 formats:

New or enhanced in CICS Explorer V5.1:

More

Not in United States?

Considering a purchase?

Contact IBM

Considering a purchase?